Home

# Class goog.proto2.TextFormatSerializer

TextFormatSerializer, a serializer which turns Messages into the human readable text format.

extends goog.proto2.Serializer

Instance Method Summary
| `deserializeTo(?goog.proto2.Message message, string data) ⇒ ?string` Deserializes a message from text format and places the data in the message.
| `printFieldValue_(<Any Type> value, ?goog.proto2.FieldDescriptor field, ?goog.proto2.TextFormatSerializer.Printer_ printer)` Prints the serialized value for the given field to the printer.
| `printField_(?goog.proto2.Message message, ?goog.proto2.FieldDescriptor field, ?goog.proto2.TextFormatSerializer.Printer_ printer)` Prints the serialized field to the printer.
| `serialize(?goog.proto2.Message message) ⇒ string` Serializes a message to a string.
| `serializeMessage_(?goog.proto2.Message message, ?goog.proto2.TextFormatSerializer.Printer_ printer)` Serializes the message and prints the text form into the given printer.

Static Method Summary
| `Printer_()` Helper class used by the text format serializer for pretty-printing text.
| `Tokenizer_(string data, boolean= opt_ignoreWhitespace)` Helper class for tokenizing the text format.